Summary:        PEAR: Horde Mail Library

Name:           php-pear-Horde-Mail
Version:        2.5.1
Release:        1.lux.1
License:        BSD
Group:          Development/Libraries/PHP
Source0:        http://pear.horde.org/get/Horde_Mail-%{version}.tgz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Url:            http://pear.horde.org/package/Horde_Mail
BuildRequires:	php-pear >= 1.7.0
BuildRequires:  php-pear-channel-horde
Requires:       php-pear-channel-horde
Requires:	php >= 5.3.0
Requires:	php >= 5.3.0
Requires:	php >= 5.3.0
Requires:	php >= 5.3.0
Requires:	php >= 5.3.0
Requires:	php >= 5.3.0
Requires:	php >= 5.3.0
Requires:	php >= 5.3.0
Requires:	php-pear >= 1.7.0
Requires:	php-pear-Horde-Exception >= 2.0.0
Requires:	php-pear-Horde-Exception <= 3.0.0alpha1
Conflicts:	php-pear-Horde-Exception = 3.0.0alpha1
Requires:	php-pear-Horde-Idna >= 1.0.0
Requires:	php-pear-Horde-Idna <= 2.0.0alpha1
Conflicts:	php-pear-Horde-Idna = 2.0.0alpha1
Requires:	php-pear-Horde-Mime >= 2.0.0
Requires:	php-pear-Horde-Mime <= 3.0.0alpha1
Conflicts:	php-pear-Horde-Mime = 3.0.0alpha1
Requires:	php-pear-Horde-Stream-Filter >= 2.0.0
Requires:	php-pear-Horde-Stream-Filter <= 3.0.0alpha1
Conflicts:	php-pear-Horde-Stream-Filter = 3.0.0alpha1
Requires:	php-pear-Horde-Translation >= 2.2.0
Requires:	php-pear-Horde-Translation <= 3.0.0alpha1
Conflicts:	php-pear-Horde-Translation = 3.0.0alpha1
BuildArch:      noarch
%define pear_name  Horde_Mail
%define pear_sname horde_mail
# Fix for renaming (package convention)
Provides:       php-pear-%{pear_sname} = %{version}
Provides:       php-pear-%{pear_sname} = %{version}
Provides:       pear-%{pear_sname} = %{version}
Obsoletes:      php-pear-%{pear_sname} < %{version}
Obsoletes:      php-pear-%{pear_sname} < %{version}
Obsoletes:      pear-%{pear_sname} < %{version}

%description
The Horde_Mail library is a fork of the PEAR Mail library that provides
additional functionality, including (but not limited to):
* Allows a stream to be passed in.
* Allows raw headertext to be used in the outgoing messages (required for
things like message redirection pursuant to RFC 5322 [3.6.6]).
* Native PHP 5 code.
* PHPUnit test suite.
* Provides more comprehensive sendmail error messages.
* Uses Exceptions instead of PEAR_Errors.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{pear_phpdir} \
        -d doc_dir=%{_docdir} \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{pear_phpdir}/data \
        -d test_dir=%{pear_phpdir}/test \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
[ -d %{buildroot}/%{_docdir}/%{pear_name} ] && mv %{buildroot}/%{_docdir}/%{pear_name} %{buildroot}/%{_docdir}/%{name}-%{version}

# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{pear_phpdir}/.filemap
rm %{buildroot}/%{pear_phpdir}/.lock
rm -rf %{buildroot}/%{pear_phpdir}/.registry
rm -rf %{buildroot}%{pear_phpdir}/.channels
rm %{buildroot}%{pear_phpdir}/.depdb
rm %{buildroot}%{pear_phpdir}/.depdblock

# Install XML package description
mkdir -p %{buildroot}%{pear_xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{pear_xmldir}/Horde_Mail.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{pear_xmldir}/Horde_Mail.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.horde.org/Horde_Mail
fi

%files
%defattr(-,root,root)
%doc %{_docdir}/%{name}-%{version}
%{pear_phpdir}/data/%{pear_name}
%{pear_phpdir}/test/%{pear_name}
%{pear_phpdir}/Horde/*
%{pear_xmldir}/Horde_Mail.xml

%changelog
